## sgmap - api 基于arcgis for javascript 封装

## 本目录结构
sgmap-class:  地图封装类根目录 <br>
|--assets  // 地图资源文件夹 <br>
|--config  //  地图相关配置 <br>
|--event  // 地图事件相关 <br>
|  |--Event.js  // 地图事件主要类 <br>
|--manage  // 地图管理 <br>
|  |--SgManager.js  // 地图管理基类 <br>
|  |  |--control  // 地图控件管理 <br>
|  |  |  |--SgControlManager.js  // 地图控件管理类 <br>
|  |  |--layer  // 地图图层管理 <br>
|  |  |  |--SgLayerManager  // 地图图层管理类 <br>
|  |  |  |--SgLayerFactory.js  // 地图图层构建工厂 <br>
|  |  |--map  // 地图管理 <br>
|  |  |  |--SgMapManager.js  // 地图管理类 <br>
|  |  |--view <br>
|  |  |  |--SgViewManager.js  // 地图视图管理类 <br>
|--operation  // 地图操作类 <br>
|  |--SgOperation.js  // 地图操作基类 <br>
|  |--SgBufferOperation.js // 缓冲区操作 <br>
|  |--SgDrawOperation.js  // 绘制操作 <br>
|  |--SgHighlightOperation.js  // 高亮操作 <br>
|  |--SgMeasureOperation.js  // 测量操作 <br>
|  |--SgQueryOperation.js  // 查询操作 <br>
|--overlayer  //  覆盖物 <br>
|  |--Overlayer.js  //  覆盖物基类 <br>
|--utils  // 工具模块 <br>
|  |--SgGraphicUtils.js  // 绘制工具 <br>
