export const styleConfig = {
  DEFAULT_POINT: {
    type: 'simple-marker',
    style: 'circle',
    color: [255, 255, 255, 0.7],
    size: '10px',
    outline: {
      color: '#000',
      width: 2
    }
  },
  DEFAULT_LINE: {
    type: 'simple-line',
    color: '#000',
    width: 2,
    style: 'solid'
  },
  DEFAULT_POLYGON: {
    type: 'simple-fill',
    color: [255, 255, 255, 0.7],
    outline: {
      width: 2,
      color: '#000'
    },
    style: 'solid'
  },
  DRAW_POINT: {
    type: 'simple-marker',
    style: 'circle',
    color: [255, 255, 255, 0.9],
    size: '10px',
    outline: {
      color: '#33cc33',
      width: 1.5
    }
  },
  DRAW_LINE: {
    type: 'simple-line',
    color: '#33cc33',
    width: 2,
    style: 'solid'
  },
  DRAW_POLYGON: {
    type: 'simple-fill',
    color: [255, 255, 255, 0.4],
    outline: {
      width: 1.5,
      color: '#33cc33'
    },
    style: 'solid'
  },
  MEASUER_POINT: {
    type: 'simple-marker',
    style: 'circle',
    color: [255, 255, 255, 0.9],
    size: '10px',
    outline: {
      width: 1.5,
      color: '#ffcc33'
    }
  },
  MEASURE_LINE: {
    type: 'simple-line',
    color: '#ffcc33',
    width: 2
  },
  MEASURE_POLYGON: {
    type: 'simple-fill',
    color: [255, 255, 255, 0.6],
    outline: {
      width: 2,
      color: '#ffcc33'
    }
  },
  HIGHLIGHT_POINT: {
    type: 'simple-marker',
    style: 'circle',
    color: [255, 255, 255, 0.6],
    outline: {
      color: '#00F5FF',
      width: 1.5
    },
    size: '12px'
  },
  HIGHLIGHT_LINE: {
    type: 'simple-line',
    color: '#00F5FF',
    width: 2
  },
  HIGHLIGHT_POLYGON: {
    type: 'simple-fill',
    outline: {
      color: '#00F5FF',
      width: 1.5
    },
    color: [255, 255, 255, 0.7]
  },
  BUFFER_POLYGON: {
    type: 'simple-fill',
    outline: {
      color: '#FF0000',
      width: 1.5
    },
    color: [255, 255, 255, 0.6]
  }
}
